//------------------------------------------------------------------------------
//! @file InodeGenerator.hh
//! @author Georgios Bitzes CERN
//! @brief Inode generator class
//------------------------------------------------------------------------------

/************************************************************************
 * EOS - the CERN Disk Storage System                                   *
 * Copyright (C) 2016 CERN/Switzerland                                  *
 *                                                                      *
 * This program is free software: you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation, either version 3 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.*
 ************************************************************************/

#ifndef FUSE_INODE_GENERATOR_HH_
#define FUSE_INODE_GENERATOR_HH_

#include <mutex>
#include "kv/kv.hh"

class InodeGenerator
{
public:

  InodeGenerator() { }

  virtual ~InodeGenerator() { }

  void init(kv* store); // no ownership
  uint64_t inc();

private:
  static std::string kInodeKey;
  uint64_t mNextInode = 0;
  kv* store = nullptr; // no ownership!

  std::mutex mtx;
};

#endif
